package sgc.portal.base.exception;

import sgc.portal.base.exception.advice.ErrorConst;

/**
 * 웹스퀘어에서 허용하지 않는 그리드 상태가 넘어왔을 경우
 *
 * @author YongSang
 * @version 1.0.0
 * @since 2020. 7. 28.
 */
@SuppressWarnings("serial")
public class UnsupportedGirdStatusException extends NestedRuntimeException {
    /**
     * Instantiates a new Unsupported gird status exception.
     */
    public UnsupportedGirdStatusException() {
        super("exception.unsupported.grid.status");
    }
    @Override
    public int getErrorCode() {
        return ErrorConst.UNSUPPORTED_GRID_STATUS_ERROR;
    }
}